Package org.jmock.expectation

# Class MapEntry

java.lang.Object
org.jmock.expectation.MapEntry

All Implemented Interfaces:
  `Map.Entry`

public class MapEntry extends Object implements Map.Entry
A public MapEntry data type that can be used where the Map.Entry interface is required (needed because the Sun implementation is package protected)

## Constructor Summary

Constructors
Constructor
Description
`MapEntry(Object aKey, Object aValue)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Object`
`getKey()`
`Object`
`getValue()`
`int`
`hashCode()`
`Object`
`setValue(Object aValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MapEntry

public MapEntry(Object aKey, Object aValue)

## Method Details

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Map.Entry`
Overrides:
  `equals` in class `Object`

### getKey

public Object getKey()

Specified by:
  `getKey` in interface `Map.Entry`

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `Map.Entry`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry`
Overrides:
  `hashCode` in class `Object`

### setValue

public Object setValue(Object aValue)

Specified by:
  `setValue` in interface `Map.Entry`

### toString

public String toString()

Overrides:
  `toString` in class `Object`